# 🕵️ WebSleuth

**WebSleuth** is a lightweight, developer-friendly Python library that simplifies web scraping. It wraps around core tools like `requests`, `BeautifulSoup`, user-agent rotation, proxy handling, retry logic, and more—designed to be the developer's alternative to boilerplate scraping setup.

---

## 🚀 Features

- ✅ Queue-based URL handling
- ✅ CSS & XPath parser support
- ✅ User-Agent rotation with `fake-useragent`
- ✅ Proxy support (including free/public proxies)
- ✅ Retry logic with exponential backoff
- ✅ Easy export to JSON or CSV
- ✅ Custom parser middleware support
- ✅ Zero CLI opinionation — integrate into your own code!

---

## 📦 Installation

```bash
pip install websleuth

git clone https://github.com/yourname/websleuth.git
cd websleuth
pip install .
